
Application: gvSIG desktop - gvSIG bugs #4101
Save view to georeferenced raster fails with WMS layers if the view is maximized
02/11/2016 01:22 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Raster
Target version: 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2313 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

1. Create a view and maximize it.
2. Load a WMS layer (for example: http://www.ign.es/wms-inspire/pnoa-ma)
3. Zoom in to get a scale around 1:5000.
4. Run the "Save to georeferenced raster" tool.
5. Select the area to be saved on the WMS image trying to cover most of the view area.
6. Change the Pixel size parameter to "0.5".
7. Set the name of the resulting file.
8. Apply.
9. Before the process ends, an error message is thrown (see attached screenshot).
10. The file is generated but it looks incomplete.

Trying again but restoring the original view size, it works fine.

I'm also attaching a log file.

Associated revisions
Revision 7128 - 06/08/2017 05:05 PM - Francisco Díaz Carsí

refs #4101 Fixed:
- method to get adjusted envelope in ViewPort
- condition to draw in internalDraw method of AbstractVectorialLegend
- Fixed loadLayer method in RasterToolsUtil

Revision 43295 - 06/08/2017 05:05 PM - Francisco Díaz Carsí

refs #4101 Fixed:
- method to get adjusted envelope in ViewPort
- condition to draw in internalDraw method of AbstractVectorialLegend
- Fixed loadLayer method in RasterToolsUtil

History
#1 - 02/15/2016 07:59 AM - Joaquín  del Cerro Murciano
http://www.ign.es/wms-inspire/pnoa-ma


- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#2 - 06/07/2017 02:23 PM - Álvaro Anguix
- Assignee set to Francisco Díaz Carsí

#3 - 06/07/2017 05:36 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 

#4 - 06/08/2017 05:11 PM - Francisco Díaz Carsí

Con las condiciones expuestas aquí por Manuel, se producían dos errores.
El primero en el propio proceso de creación del raster, por lo cual salía ese mensaje de error y no dejaba continuar el proceso.
Y una vez arreglado ese, se producía otro error al aceptar que cargue la capa en el toc.

Se han arreglado los dos.

Pero, cuando se selecciona que la capa WMS se cargue SIN caché de teselas en local, el resultado del proceso no es correcto.
Sin embargo, si se selecciona que la capa WMS se cargue CON caché de teselas en local, el resultado del proceso SÍ es correcto.

Se han subido los cambios que arreglan los dos primero problemas, pero dejo el tiquet abierto por si se desea abordar el resultado erróneo del
proceso al cargar la capa sin caché de teselas.

#5 - 06/10/2017 06:52 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 06/12/2017 11:56 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_save_raster_georef.log 416 KB 02/11/2016 Manuel Madrid
Screenshot from 2016-02-11 13_00_06.png 1.06 MB 02/11/2016 Manuel Madrid
